<button class="close" mat-button (click)="onClosePopup()">X</button>
<h1 mat-dialog-title>Ajouter un lieu de départ ou d'arrivée</h1>
<form [formGroup]="lieuForm" (ngSubmit)="submitCreationLieu()">

  <div mat-dialog-content>
  <input formControlName="libelle" name="libelle">
  <div>
    <p>Nombre de kilomètres jusqu'à Molines-en-Queyras :</p>
    <input type="number" formControlName="taux" name="taux">
  </div>
  <div>
    <p>C'est sur le chemin de :</p>
    <mat-select class="form__field" formControlName="depart" required>
      <ng-container>
        <mat-option value="same_as_lieu">
          Rien du tout
        </mat-option>
      </ng-container>

      <ng-container *ngFor="let lieu of lieux">
        <mat-option [value]="lieu.libelle">
          {{lieu.libelle}}
        </mat-option>
      </ng-container>

    </mat-select>
  </div>
  </div>
  <div mat-dialog-actions>
    <button mat-button type="submit" [disabled]="!lieuForm.valid" cdkFocusInitial>Créer un lieu</button>
  </div>

</form>
